Page MenuHomePhabricator

Update Quickstart SQL
ClosedPublic

Authored by epriestley on Apr 25 2019, 10:54 PM.

Details

Reviewers
amckinley
Summary

This hasn't been updated in a bit more than a year (last updated in D18594) and we've accumulated a fair number of SQL patches. Update it.

This is mostly automatic (with bin/storage quickstart), except:

  • Manual edit to one migration for a missed callsite to DashboardInstall.
  • Replaced two InnoDB tables that still have FULLTEXT indexes with MyISAM (see rP6cedd4a95cfc).

This is not really possible to review and more for reference than examination. bin/storage quickstart has historically worked correctly.

Test Plan

I have great faith that bin/storage quickstart is a script which creates a big .sql file.

Diff Detail

Repository
rP Phabricator
Branch
quickstart
Lint
Lint WarningsExcuse: Some SQL is long.
SeverityLocationCodeMessage
Warningresources/sql/quickstart.sql:1TXT3Line Too Long
Warningresources/sql/quickstart.sql:41TXT3Line Too Long
Warningresources/sql/quickstart.sql:44TXT3Line Too Long
Warningresources/sql/quickstart.sql:106TXT3Line Too Long
Warningresources/sql/quickstart.sql:109TXT3Line Too Long
Warningresources/sql/quickstart.sql:129TXT3Line Too Long
Warningresources/sql/quickstart.sql:155TXT3Line Too Long
Warningresources/sql/quickstart.sql:158TXT3Line Too Long
Warningresources/sql/quickstart.sql:219TXT3Line Too Long
Warningresources/sql/quickstart.sql:222TXT3Line Too Long
Warningresources/sql/quickstart.sql:240TXT3Line Too Long
Warningresources/sql/quickstart.sql:281TXT3Line Too Long
Warningresources/sql/quickstart.sql:284TXT3Line Too Long
Warningresources/sql/quickstart.sql:303TXT3Line Too Long
Warningresources/sql/quickstart.sql:304TXT3Line Too Long
Warningresources/sql/quickstart.sql:325TXT3Line Too Long
Warningresources/sql/quickstart.sql:363TXT3Line Too Long
Warningresources/sql/quickstart.sql:366TXT3Line Too Long
Warningresources/sql/quickstart.sql:405TXT3Line Too Long
Warningresources/sql/quickstart.sql:437TXT3Line Too Long
Warningresources/sql/quickstart.sql:440TXT3Line Too Long
Warningresources/sql/quickstart.sql:479TXT3Line Too Long
Warningresources/sql/quickstart.sql:496TXT3Line Too Long
Warningresources/sql/quickstart.sql:499TXT3Line Too Long
Warningresources/sql/quickstart.sql:523TXT3Line Too Long
Unit
No Unit Test Coverage
Build Status
Buildable 22727
Build 31156: Run Core Tests
Build 31155: arc lint + arc unit

Event Timeline

epriestley created this revision.Apr 25 2019, 10:54 PM
Owners added a subscriber: Restricted Owners Package.Apr 25 2019, 10:54 PM
epriestley requested review of this revision.Apr 25 2019, 10:56 PM

Also, before regenerating this I disabled all the Phacility extensions. Otherwise, we get dumps of instances/ tables and such.

amckinley accepted this revision.Apr 29 2019, 7:55 PM

I have reviewed this exhaustively and can confirm that it's a big file full of SQL πŸ‘€

This revision is now accepted and ready to land.Apr 29 2019, 7:55 PM
This revision was landed with ongoing or failed builds.Apr 30 2019, 3:19 PM
Closed by commit rP5462a52b8a0c: Update Quickstart SQL (authored by epriestley). Β· Explain Why
This revision was automatically updated to reflect the committed changes.